Subject: Re: [net-next PATCH v5 0/4] octeontx2: CN20K NPA Halo context support

From: Simon Horman <[email-masked]>
Date: Thu, 7 May 2026 11:26:57 +0100

On Mon, May 04, 2026 at 01:01:57PM +0530, Subbaraya Sundeep wrote:
> This series adds NPA Halo support for CN20K in the octeontx2 AF and
> PF drivers. On CN20K, NPA supports a unified "Halo" context that combines
> aura and pool contexts in a single structure. This is a simplification
> in hardware so that there is no need to initialize both Aura and Pool
> contexts for queues. Separate Aura and Pool contexts are needed say if
> we have to point many Auras to a single pool but we always use 1:1 Aura
> and Pool map in Octeontx2 netdev driver. Hence for CN20K use Halo
> context for netdevs.
> 
> The series:
> 
>   1) Adds Halo context type, mbox handling, and halo_bmap tracking in AF.
>   2) Adds NPA DPC (diagnostic/performance counters) 32 counters with
>      per-LF permit registers, mbox alloc/free, and teardown handling.
>   3) Adds debugfs for Halo (halo_ctx file and NPA context display/write
>      for HALO ctype).
>   4) Switches the CN20K PF driver to use the unified Halo context and
>      allocates a DPC counter for the NPA LF.

Hi Subbaraya,

There are AI generated reviews of this patchset available at both
https://netdev-ai.bots.linux.dev/sashiko/ and https://sashiko.dev

I would appreciate it if you could look over them, as there
do seem to be issues relevant to the progress of this ptach-set.